package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyMerchantChannelRefundApplyRequest struct {
	/*
	   请求对象     */
	RefundApplyInfo *domain.AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo `json:"refund_apply_info" required:"true" `
}

func (s *AlibabaTclsAelophyMerchantChannelRefundApplyRequest) SetRefundApplyInfo(v domain.AlibabaTclsAelophyMerchantChannelRefundApplyRefundApplyInfo) *AlibabaTclsAelophyMerchantChannelRefundApplyRequest {
	s.RefundApplyInfo = &v
	return s
}

func (req *AlibabaTclsAelophyMerchantChannelRefundApplyRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.RefundApplyInfo != nil {
		paramMap["refund_apply_info"] = util.ConvertStruct(*req.RefundApplyInfo)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyMerchantChannelRefundApplyRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
